function V = VandermondeMatrix2D(N,r,s)

% computes Vandermonde matrix (as in Hesthaven book) using provided sets of nodes
% for further computation of mass matrix

N_p = length(r);
V = zeros(N_p);

[a,b] = rstoab(r,s);

col = 1;
for i = 0:N
	for j = 0:(N - i)
		vect = ModalBaseValues2D(a,b,i,j);
		V(:,col) = vect';
		col = col + 1;
	end
end

end